Subject: Re: bug#18279: 24.4.50; [PATCH] add language environment for the Catalan language

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 23 Feb 2016 23:20:38 +1100

Ernest Adrogué <[email-masked]> writes:

> This patch adds a language environment for the Catalan language.
>
> It is needed in order to get word motion commands work correctly, as in
> Catalan the middle dot character `·' is a word constituent.  This is done by
> changing the syntax class of the middle dot character.
>
> Changes made:
>
>         * international/mule-cmds.el (locale-language-names): Map locale
>           language name `ca' to language environment `Catalan'.
>
>         * language/european.el: Add definition of language environment for
>           the Catalan language.
>
>         * leim/quail/latin-pre.el: Add quail rule to the `catalan-prefix'
>           input method to support input of middle dot characters through
>           composition.

Looks good, I think...

> This is a trivial patch based on a post by Dave Love on the help-gnu-emacs
> mailing list [1], and therefore I believe a copyright assignment from me is
> unnecessary.

It is more than ten lines, so I think that a copyright assignment is
needed.  Would you be willing to sign such paperwork?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no